//index.js 
import ArticleIcon from './ArticleIcon.vue';
import ArticleTextViewer from './ArticleTextViewer.vue';

const Components = {
    ArticleIcon,
    ArticleTextViewer,
};

export default {
    install(Vue) {
        Object.keys(Components).forEach(name=>{
            Vue.component(name,Components[name]);
        });      
    }
};